<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2010 "Астра Вебтехнологии"
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Blocks
 */
/**************************************************************************/

class prevnext_Block extends A_Block
{
/**
 * Формирование данных доступных в шаблоне.
 */

  function createData()
  {
    if(in_array(MODULE,array('catalog','shoplite')) && A::$MAINFRAME->iditem)
    { $options=getOptions(SECTION);
      $sort=escape_order_string(A_Session::get(SECTION.'_msort',!empty($options['mysort'])?$options['mysort']:$options['sort']));
      $items=A::$DB->getCol("SELECT id FROM ".SECTION."_catalog WHERE active='Y' AND idcat=".A::$MAINFRAME->idcat." ORDER BY $sort");
      $i=array_search(A::$MAINFRAME->iditem,$items);
      if($i!==false)
      { $previd=isset($items[$i-1])?$items[$i-1]:0;
        $nextid=isset($items[$i+1])?$items[$i+1]:0;
        if($previd)
        { $item=A::$DB->getRow("SELECT id,name FROM ".SECTION."_catalog WHERE id=$previd");
		  $item['link']=call_user_func(MODULE.'_createItemLink',$previd,SECTION);
		  $this->Assign("prev",$item);
        }
        if($nextid)
        { $item=A::$DB->getRow("SELECT id,name FROM ".SECTION."_catalog WHERE id=$nextid");
          $item['link']=call_user_func(MODULE.'_createItemLink',$nextid,SECTION);
		  $this->Assign("next",$item);
		}
      }
    }
  }
}